import React, { Component, PropTypes } from "react";
import { Text } from "react-native";
import { connectStyle } from "native-base-shoutem-theme";
import mapPropsToStyleNames from "../Utils/mapPropsToStyleNames";

class Title extends Component {
  render() {
    return (
      <Text ref={c => (this._root = c)} {...this.props} numberOfLines={1} />
    );
  }
}

Title.propTypes = {
  ...Text.propTypes,
  style: PropTypes.oneOfType([
    PropTypes.object,
    PropTypes.number,
    PropTypes.array
  ])
};

const StyledTitle = connectStyle("NativeBase.Title", {}, mapPropsToStyleNames)(
  Title
);
export { StyledTitle as Title };
